Bug 131446 - (IT_48181) CAN-2004-0829 DOS in smbd
CAN-2004-0829 DOS in smbd
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: samba (Show other bugs)
2.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Fenlason
David Lawrence
:
Depends On:
Blocks: 123573
  Show dependency treegraph
 
Reported: 2004-09-01 11:37 EDT by Josh Bressers
Modified: 2014-08-31 19:26 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-02 14:04:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
possible patch for security issue (754 bytes, patch)
2004-09-03 15:29 EDT, Martin Hunt
no flags Details | Diff

  None (edit)
Description Josh Bressers 2004-09-01 11:37:29 EDT
The Samba 2.2.11 release addresses the following bug:

~  o Crashes in smbd triggered by a Windows XP SP2 client sending
~    a FindNextPrintChangeNotify() request without previously
~    issuing FindFirstPrintChangeNotify().

Upstream released 2.2.11 on 2004-08-12.
Comment 1 Martin Hunt 2004-09-03 15:29:20 EDT
Created attachment 103448 [details]
possible patch for security issue

diff -u samba-2.2.10/source/rpc_server/srv_spoolss_nt.c
samba-2.2.11/source/rpc_server/srv_spoolss_nt.c > diff-u

If samba is not upgraded to 2.2.11, then this patch should fix the security
problem.
Comment 3 Mark J. Cox (Product Security) 2004-09-13 06:27:42 EDT
Gentoo said: "After further verifications, it appears that a remote
user can only deny service to himself, so this bug does not induce any
security issue at all.".  Removing "security" severity.
Comment 5 Jay Fenlason 2004-12-02 14:04:10 EST
Actually closing this one. 

Note You need to log in before you can comment on or make changes to this bug.